This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 144231 - CAN-2004-1125 kpdf buffer overflows (CAN-2005-0064)
CAN-2004-1125 kpdf buffer overflows (CAN-2005-0064)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdegraphics (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
David Lawrence
impact=important,public=20041221
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-04 22:01 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 05:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-04 22:01:41 EST
*** This bug has been split off bug 144197 ***

iDEFENSE has reported a buffer overflow issue in xpdf 3.  This issue
also affects the xpdf in RHEL3.

http://www.idefense.com/application/poi/display?id=172&type=vulnerabilities&flashstatus=true

The advisory references a patch to fix this issue.


kpdf contains the xpdf code.
Comment 1 Mark J. Cox (Product Security) 2005-01-26 06:04:00 EST
Additionally a second buffer overflow was found in xpdf which affects
kpdf, see http://www.kde.org/info/security/advisory-20050119-1.txt
Comment 2 Mark J. Cox (Product Security) 2005-02-15 05:18:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-066.html

Note You need to log in before you can comment on or make changes to this bug.